Opened 12 years ago

Closed 12 years ago

Last modified 12 years ago

#53 closed defect (fixed)

eCS 2.0 version of ACPI hangs at WPS load on boot

Reported by: edurrant@… Owned by: anonymous
Priority: major Milestone: Release version 3.08
Component: ACPI PSD Version: 3.01
Keywords: Cc:

Description

Performing a clean install to a new partition on an AMD X-2 equipped clone PC using the ASUS M2V-TVM motherboard with SMP Kernel installed via the eCS 2.0 process but in non-SMP mode loads fine however when I amend the command line in Config.sys as shown below a reboot hangs with no error messages at the point whwre I would normally expect the WPS to load.

PSD=ACPI.PSD /PIC /SMP /R BASEDEV=APM.ADD run=D:\OS2\CMD.EXE /Q /C D:\OS2\ACPIDAEMON.EXE

Replacing the ACPI.PSD, ACPIDAEMON.EXE and APM.ADD files with the previous version: 26/05/07 9:16 232195 272 acpi.psd 26/05/07 9:17 55710 419 AcpiDaemon?.exe 26/05/07 9:16 11258 271 apm.add

Allows the system to boot correctly in SMP mode.

Here are the file details of the files supplied with eCS 2.0: 24/08/07 12:42 244985 0 acpi.psd 24/08/07 12:42 56159 0 AcpiDaemon?.exe 24/08/07 12:42 12081 0 apm.add 12/01/06 16:26 14464 0 APM.SYS

3/04/02 15:52 2733 0 APMDAEMN.EXE

Regards,

Ed.

Change History (6)

comment:1 Changed 12 years ago by pasha

  • Owner changed from Eugene to anonymous
  • Status changed from new to assigned

I recommended add /APIC. Why this going. This MB, when CPU0 and CPU1 want access to memory in one time, in this case:

AcpiCPU.C:

while (lxchg((volatile int*)&CPULock, 1) ); Wait if we are here

This MB generate trap to 0x57 vector at CPU1. In APIC mode this vector is removed from IDT for kernel. In PIC mode - no

comment:2 Changed 12 years ago by edurrant@…

OK I will try /APIC with the eCS 2.0RC2 code however the previous version only booted in /PIC mode.

Should I in fact use the very latest (3.02) version of the ACPI code that has just been posted on the eCS betazone rather than the eCS 2.0 RC2 supplied v 3.01 ??

Rgds,

Ed.

comment:3 Changed 12 years ago by edurrant@…

Sorry to have to report the following:

Using /APIC in place of /PIC the system hangs at the eCS Splash screen.

I even tried the latest version (3.02) and saw the same problems as with 3.01, namely with /APIC in the command line the system stops at the eCS splash screen, using /PIC the systems gets to the point after the Scitech splash screen where the WPS would normally load and then the system reboots.

I have gone back to the V 2 ACPI code and use /PIC and the system boots and runs without these problems.

comment:4 Changed 12 years ago by pasha

  • Resolution set to fixed
  • Status changed from assigned to closed

Fixed in version 3.3

comment:5 Changed 12 years ago by anonymous

Thanks for this - when will we be able to get v 3.3 (or should that be v 3.03 ?).

comment:6 Changed 12 years ago by pasha

check betazone from next week

Note: See TracTickets for help on using tickets.